Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSSValue

All Known Subinterfaces:
  CSSPrimitiveValue, CSSValueList

public interface CSSValue

The `CSSValue` interface represents a simple or a complex value. A `CSSValue` object only occurs in a context of a CSS property.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Field Summary
`static short` | `CSS_CUSTOM` The value is a custom value.
`static short` | `CSS_INHERIT` The value is inherited and the `cssText` contains "inherit".
`static short` | `CSS_PRIMITIVE_VALUE` The value is a primitive value and an instance of the `CSSPrimitiveValue` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.
`static short` | `CSS_VALUE_LIST` The value is a `CSSValue` list and an instance of the `CSSValueList` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

Method Summary
`java.lang.String` | `getCssText()` A string representation of the current value.
`short` | `getCssValueType()` A code defining the type of the value as defined above.
`void` | `setCssText(java.lang.String cssText)` A string representation of the current value.

Field Detail

### CSS_INHERIT

    public static final short CSS_INHERIT

  The value is inherited and the `cssText` contains "inherit".

### CSS_PRIMITIVE_VALUE

    public static final short CSS_PRIMITIVE_VALUE

  The value is a primitive value and an instance of the `CSSPrimitiveValue` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

### CSS_VALUE_LIST

    public static final short CSS_VALUE_LIST

  The value is a `CSSValue` list and an instance of the `CSSValueList` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

### CSS_CUSTOM

    public static final short CSS_CUSTOM

  The value is a custom value.

Method Detail

### getCssText

    public java.lang.String getCssText()

  A string representation of the current value.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error (according to the attached property) or is unparsable.
    INVALID_MODIFICATION_ERR: Raised if the specified CSS string value represents a different type of values than the values allowed by the CSS property.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this value is readonly.

### setCssText

    public void setCssText(java.lang.String cssText)
                    throws DOMException

  A string representation of the current value.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error (according to the attached property) or is unparsable.
    INVALID_MODIFICATION_ERR: Raised if the specified CSS string value represents a different type of values than the values allowed by the CSS property.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this value is readonly.

### getCssValueType

    public short getCssValueType()

  A code defining the type of the value as defined above.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.